OGRE: Ogre::MaterialScriptCompiler::MaterialScriptContext Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::MaterialScriptCompiler::MaterialScriptContext Struct Reference

Struct for holding the script context while parsing. More...

`#include <OgreMaterialScriptCompiler.h>`

List of all members.

## Public Attributes

MaterialScriptSection | section
String | groupName
MaterialPtr | material
Technique * | technique
Pass * | pass
TextureUnitState * | textureUnit
GpuProgramPtr | program
bool | isProgramShadowCaster
bool | isVertexProgramShadowReceiver
bool | isFragmentProgramShadowReceiver
bool | allowOverride
GpuProgramParametersSharedPtr | programParams
ushort | numAnimationParametrics
MaterialScriptProgramDefinition * | programDef
int | techLev
int | passLev
int | stateLev
std::vector< size_t > | pendingDefaultParams
AliasTextureNamePairList | textureAliases

## Detailed Description

Struct for holding the script context while parsing.

Definition at line 166 of file OgreMaterialScriptCompiler.h.

## Member Data Documentation

bool Ogre::MaterialScriptCompiler::MaterialScriptContext::allowOverride

| Definition at line 178 of file OgreMaterialScriptCompiler.h.

String Ogre::MaterialScriptCompiler::MaterialScriptContext::groupName

| Definition at line 169 of file OgreMaterialScriptCompiler.h.

bool Ogre::MaterialScriptCompiler::MaterialScriptContext::isFragmentProgramShadowReceiver

| Definition at line 177 of file OgreMaterialScriptCompiler.h.

bool Ogre::MaterialScriptCompiler::MaterialScriptContext::isProgramShadowCaster

| Definition at line 175 of file OgreMaterialScriptCompiler.h.

bool Ogre::MaterialScriptCompiler::MaterialScriptContext::isVertexProgramShadowReceiver

| Definition at line 176 of file OgreMaterialScriptCompiler.h.

MaterialPtr Ogre::MaterialScriptCompiler::MaterialScriptContext::material

| Definition at line 170 of file OgreMaterialScriptCompiler.h.

ushort Ogre::MaterialScriptCompiler::MaterialScriptContext::numAnimationParametrics

| Definition at line 180 of file OgreMaterialScriptCompiler.h.

Pass* Ogre::MaterialScriptCompiler::MaterialScriptContext::pass

| Definition at line 172 of file OgreMaterialScriptCompiler.h.

int Ogre::MaterialScriptCompiler::MaterialScriptContext::passLev

| Definition at line 183 of file OgreMaterialScriptCompiler.h.

std::vector<size_t> Ogre::MaterialScriptCompiler::MaterialScriptContext::pendingDefaultParams

| Definition at line 187 of file OgreMaterialScriptCompiler.h.

GpuProgramPtr Ogre::MaterialScriptCompiler::MaterialScriptContext::program

| Definition at line 174 of file OgreMaterialScriptCompiler.h.

MaterialScriptProgramDefinition* Ogre::MaterialScriptCompiler::MaterialScriptContext::programDef

| Definition at line 181 of file OgreMaterialScriptCompiler.h.

GpuProgramParametersSharedPtr Ogre::MaterialScriptCompiler::MaterialScriptContext::programParams

| Definition at line 179 of file OgreMaterialScriptCompiler.h.

MaterialScriptSection Ogre::MaterialScriptCompiler::MaterialScriptContext::section

| Definition at line 168 of file OgreMaterialScriptCompiler.h.

int Ogre::MaterialScriptCompiler::MaterialScriptContext::stateLev

| Definition at line 183 of file OgreMaterialScriptCompiler.h.

int Ogre::MaterialScriptCompiler::MaterialScriptContext::techLev

| Definition at line 183 of file OgreMaterialScriptCompiler.h.

Technique* Ogre::MaterialScriptCompiler::MaterialScriptContext::technique

| Definition at line 171 of file OgreMaterialScriptCompiler.h.

AliasTextureNamePairList Ogre::MaterialScriptCompiler::MaterialScriptContext::textureAliases

| Definition at line 189 of file OgreMaterialScriptCompiler.h.

TextureUnitState* Ogre::MaterialScriptCompiler::MaterialScriptContext::textureUnit

| Definition at line 173 of file OgreMaterialScriptCompiler.h.

The documentation for this struct was generated from the following file:

- OgreMaterialScriptCompiler.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:09 2008